package com.dao;

import com.entity.EmergencyResources;
import java.util.List;
import java.util.Map;



public interface EmergencyResourcesMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(EmergencyResources emergencyResources);

    int insertSelective(EmergencyResources emergencyResources);

    EmergencyResources selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(EmergencyResources emergencyResources);

    int updateByPrimaryKeyWithBLOBs(EmergencyResources emergencyResources);

    int updateByPrimaryKey(EmergencyResources emergencyResources);

    EmergencyResources checkName(Map<String, Object> name);
    //  查询所有信息
    List<EmergencyResources> getAll(Map<String, Object> map);

    List<EmergencyResources> getAllNotFid(Map<String, Object> map);

    //  获取条数
    int getCount(Map<String, Object> po);
    //  分页
    List<EmergencyResources> getByPage(Map<String, Object> map);


}
